{{- /* Benchmarking Suite
 * Copyright 2014-2022 Engineering Ingegneria Informatica S.p.A.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */ -}}

{{/* override of the external chart secret */}}
{{- define "mongodb.initdbScriptsCM" -}}
{{ .Release.Name }}-mongodb-init-scripts
{{- end -}}

{{- if .Values.mongodb.enabled -}}
{{- include "cybco.configmap.component" (list "mongodb" "mongodb.init-scripts-cm" .) }}
{{- end -}}

{{- define "mongodb.init-scripts-cm" -}}
metadata:
  name: {{ include "mongodb.initdbScriptsCM" . }}
data:
  dbinit.js: {{ (tpl (.Files.Get "files/mongodb-init.js") . | quote ) }}
  workloads.data: {{ (tpl (.Files.Get "files/mongodb-workloads.js") . | quote ) }}
  providers.data: {{ (tpl (.Files.Get "files/mongodb-providers.js") . | quote ) }}
{{- end -}}